Name:      org.tizen.infosquare
Summary:   Info. Square application for Tizen TV
Version:   0.2
Release:   1
Group:     Applications
License:   Apache-2.0
Source0:   %{name}-%{version}.tar.gz
Source1:   %{name}.manifest

BuildRequires: cmake
BuildRequires: pkgconfig(capi-appfw-application)
BuildRequires: pkgconfig(elementary)
BuildRequires: pkgconfig(ecore)
BuildRequires: pkgconfig(edje)
BuildRequires: pkgconfig(app-utils)
BuildRequires: pkgconfig(notification)
BuildRequires: pkgconfig(vconf)
BuildRequires: gettext-devel
BuildRequires: edje-bin

%define _pkgdir %{_prefix}/apps/%{name}
%define _bindir %{_pkgdir}/bin
%define _resdir %{_pkgdir}/res
%define _datadir %{_pkgdir}/data
%define _edjedir %{_resdir}/edje
%define _manifestdir %{_datarootdir}/packages

%description
Info. Square application for Tizen TV.

%prep
%setup -q
cp %{SOURCE1} .

%build
cmake \
	-DCMAKE_INSTALL_PREFIX=%{_pkgdir} \
	-DPACKAGE_NAME=%{name} \
	-DBINDIR=%{_bindir} \
	-DEDJEDIR=%{_edjedir} \
	-DMANIFESTDIR=%{_manifestdir} \
	-DVERSION=%{version}

make %{?jobs:-j%jobs}

%install
%make_install
install --directory %{buildroot}/%{_datadir}

%clean
rm -rf %{buildroot}

%files
%manifest %{name}.manifest
%defattr(-,root,root,-)
%{_bindir}/*
%{_resdir}/*
%{_datadir}
%{_manifestdir}/%{name}.xml
%{_datarootdir}/license/*
